1  CLEAR:REM Rutherford scattering experiment, macro
2  CLS:SCREEN 1:KEY OFF
3  P=3.14159 :PM=P-0.05:PP=P+0.05:P2=2*P
5  WIDTH 40:A%=VAL(MID$(TIME$,7,2)):RANDOMIZE A%
6  LOCATE 7,4
7  PRINT"RUTHERFORD SCATTERING EXPERIMENT":PRINT:PRINT
8  PRINT"          David J Wilson":PRINT"          Department of Chemistry":PRINT"          Vanderbilt University"
9  FOR I=1 TO 4000:NEXT I:CLS
10  LINE (30,97)-(30,90):LINE-(0,90):LINE-(0,110):LINE-(30,110):LINE-(30,103)
11  LINE (30,97)-(20,97):LINE-(20,95):LINE-(10,95):LINE-(10,105):LINE-(20,105):LINE-(20,103):LINE-(30,103)
12  LINE (10,97)-(15,103),1,BF
13  CIRCLE (200,100),119,1,0,PM
14  CIRCLE (200,100),119,1,PP,P2
20  LOCATE 15,1
21  PRINT"Alpha"
22  LOCATE 16,1
23  PRINT"source"
25  LOCATE 18,19
26  PRINT"Au foil"
30  LOCATE 1,32
31  PRINT"Detector"
112  DIM S(8)
113  LOCATE 21,2
114  PRINT"0   1   2   3   4   5   6   7   8"
120  A=0.1
130  XO=15:YO=100:X1=200 :Y1=100:R=119:X2=199:X3=201:Y2=20:Y3=155
140  FOR JJ=1 TO 100
150  Y=RND(1)
155  X=A*SQR(1/Y-1)
160  IF X>P THEN GOTO 150
165  IF RND(1)<0.5 THEN X=-X
170  X4=X1+R*COS(X):Y4=Y1+R*SIN(X)
172  LINE (XO,YO)-(X1,Y1),1:LINE-(X4,Y4),1
190  LINE (XO,YO)-(X1,Y1),0:LINE-(X4,Y4),0
200  LINE (X2,Y2)-(X2,Y3),1:LINE (X3,Y2)-(X3,Y3),1
201  II=INT(ABS(X)*9/P)
202  S(II)=S(II)+1
203  IK=4*II+1
204  LOCATE 22,IK
225  PRINT S(II)
235  NEXT JJ
240  FOR I=1 TO 2000:NEXT I
245  RUN"ruthscat.bas"
250  END
